OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.AMD.FramebufferMultisampleAdvanced

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAMDFramebufferMultisampleAdvanced :: MonadIO m => m Bool
- gl_AMD_framebuffer_multisample_advanced :: Bool
- pattern GL_MAX_COLOR_FRAMEBUFFER_SAMPLES_AMD :: GLenum
- pattern GL_MAX_COLOR_FRAMEBUFFER_STORAGE_SAMPLES_AMD :: GLenum
- pattern GL_MAX_DEPTH_STENCIL_FRAMEBUFFER_SAMPLES_AMD :: GLenum
- pattern GL_NUM_SUPPORTED_MULTISAMPLE_MODES_AMD :: GLenum
- pattern GL_RENDERBUFFER_STORAGE_SAMPLES_AMD :: GLenum
- pattern GL_SUPPORTED_MULTISAMPLE_MODES_AMD :: GLenum
- glNamedRenderbufferStorageMultisampleAdvancedAMD :: MonadIO m => GLuint -> GLsizei -> GLsizei -> GLenum -> GLsizei -> GLsizei -> m ()
- glRenderbufferStorageMultisampleAdvancedAMD :: MonadIO m => GLenum -> GLsizei -> GLsizei -> GLenum -> GLsizei -> GLsizei -> m ()

# Extension Support

glGetAMDFramebufferMultisampleAdvanced :: MonadIO m => m Bool Source #

Is the AMD_framebuffer_multisample_advanced extension supported?

gl_AMD_framebuffer_multisample_advanced :: Bool Source #

Is the AMD_framebuffer_multisample_advanced extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAMDFramebufferMultisampleAdvanced` in those cases instead.

# Enums

pattern GL_MAX_COLOR_FRAMEBUFFER_SAMPLES_AMD :: GLenum Source #

pattern GL_MAX_COLOR_FRAMEBUFFER_STORAGE_SAMPLES_AMD :: GLenum Source #

pattern GL_MAX_DEPTH_STENCIL_FRAMEBUFFER_SAMPLES_AMD :: GLenum Source #

pattern GL_NUM_SUPPORTED_MULTISAMPLE_MODES_AMD :: GLenum Source #

pattern GL_RENDERBUFFER_STORAGE_SAMPLES_AMD :: GLenum Source #

pattern GL_SUPPORTED_MULTISAMPLE_MODES_AMD :: GLenum Source #

# Functions

glNamedRenderbufferStorageMultisampleAdvancedAMD Source #

Arguments

:: MonadIO m |
=> GLuint | `renderbuffer` of type `Renderbuffer`.
-> GLsizei | `samples`.
-> GLsizei | `storageSamples`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

glRenderbufferStorageMultisampleAdvancedAMD Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type RenderbufferTarget.
-> GLsizei | `samples`.
-> GLsizei | `storageSamples`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |